SET(INC_DIR ${INC_DIR})
INCLUDE_DIRECTORIES(${INC_DIR})
ADD_EXECUTABLE(bracketing_to_hdr
bracketing_to_hdr.cpp
br_core/BadPixelProtocol.cpp
br_core/Br2HdrManager.cpp
br_core/br_enums_strings.cpp
br_core/br_Image.cpp
br_core/br_Image_utils.cpp
br_core/br_macros.cpp
br_core/br_messages.cpp
br_core/br_PackBase.cpp
br_core/CorrelMaxSearchBase.cpp
br_core/curve_files.cpp
br_core/DisplcmFinderBase.cpp
br_core/DisplcmFinderCorrel_.cpp
br_core/Distributor.cpp
br_core/Exception.cpp
br_core/FilePtr.cpp
br_core/FollowUpValues_RGB_U16_as_U8.cpp
br_core/FollowUpValues_RGB_U8.cpp
br_core/HdrCalctorBase.cpp
br_core/HdrCalctor_RGB_U16_as_U8.cpp
br_core/HdrCalctor_RGB_U8.cpp
br_core/HistogramData.cpp
br_core/histogram_U16.cpp
br_core/histogram_U8.cpp
br_core/input_statistics.cpp
br_core/mergeHdr_PackSch2D_RGB_U16.cpp
br_core/mergeHdr_PackSch2D_RGB_U8.cpp
br_core/path_utils.cpp
br_core/readEXIF.cpp
br_core/ResponseFunc_U16.cpp
br_core/Run_DisplcmFinder.cpp
br_core/spline.cpp
br_core/testtools.cpp
br_core/TheProgressInfo.cpp
br_core/WeightFunc_U16.cpp
br_core/WeightFunc_U8.cpp
FL_adds/Fl_Cartesius.cpp
FL_adds/fl_eventnames.cpp
FL_adds/Fl_IntInput_Slider.cpp
FL_adds/fl_misc.cpp
FL_adds/fl_print_event.cpp
#FL_adds/IntInput_Slider.cpp
FL_adds/ys_dbg.cpp
gui/AllWindows.cpp
gui/br_messages_gui.cpp
gui/buttons.cpp
gui/EventTester.cpp
gui/ExifTable.cpp
gui/FllwUpCrvPlot.cpp
gui/HistogramPlot.cpp
gui/ImageTable.cpp
gui/OffsetTable.cpp
gui/preferences.cpp
gui/ProgressBar.cpp
gui/RefpicChoicer.cpp
gui/ResponsePlot.cpp
gui/StopvalueChoicer.cpp
gui/WidgetWrapper.cpp
FL_adds/Fl_Table.cxx
FL_adds/Fl_Table_Row.cxx
gui/DisplcmFinder_UI.cxx
gui/EventTesterWinClass.cxx
gui/gui.cxx
#jhead/exif.c
#jhead/gpsinfo.c
#jhead/jhead.c
#jhead/jpgfile.c
#jhead/makernote.c
# jhead/myglob.c #Only for windows
)
TARGET_LINK_LIBRARIES(bracketing_to_hdr lib wire fl_i18n ${GTK_LIBRARIES} 
      fltk fltk_images fltk_gl ${OPENGL_gl_LIBRARY} ${OPENGL_glu_LIBRARY})

INSTALL(TARGETS bracketing_to_hdr
        DESTINATION ${PROGRAM_PLUGINS_DIR_INFIX})

